## spectrum-roms 20021001

=== Makefile ===
VERSION := 20021001

DESTDIR := /usr/local
ROMSDIR := $(DESTDIR)/share/spectrum-roms
DOCDIR := $(DESTDIR)/share/doc/spectrum-roms

all:
	./make-roms

install: all
	./mkinstalldirs $(ROMSDIR) $(DOCDIR)
	for x in *.rom; do install -m644 $$x $(ROMSDIR)/$$x; done
	install -m644 zx82.htm $(DOCDIR)/

clean:
	-rm -f tc2048.rom

dist: clean
	tar -C .. --exclude debian -czvf ../spectrum-roms-$(VERSION).tar.gz \
		spectrum-roms

.PHONY: all install clean dist

## spectrum-roms 20081224

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 20021001
+VERSION := 20081224
 
 DESTDIR := /usr/local
 ROMSDIR := $(DESTDIR)/share/spectrum-roms
@@ -16,7 +16,8 @@
 	-rm -f tc2048.rom
 
 dist: clean
-	tar -C .. --exclude debian -czvf ../spectrum-roms-$(VERSION).tar.gz \
+	tar -C .. --exclude debian --exclude .bzr \
+		-czvf ../spectrum-roms-$(VERSION).tar.gz \
 		spectrum-roms
 
 .PHONY: all install clean dist

=== debian/changelog ===
spectrum-roms (20081224-5) unstable; urgency=medium

  * Upgrade to debhelper v10.
  * Update Homepage, the original source archive location in
    debian/copyright, and debian/watch to use HTTPS.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 22:35:13 +0000

spectrum-roms (20081224-4) unstable; urgency=medium

  * Switch to git; move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 11:48:38 +0100

spectrum-roms (20081224-3) unstable; urgency=low

  * Add a watch file.
  * Convert to source format 3.0 (quilt).
  * Policy version 3.8.4: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Feb 2010 15:58:10 +0000

spectrum-roms (20081224-2) unstable; urgency=low

  * Upgrade to debhelper v7.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 00:17:11 +0100

spectrum-roms (20081224-1) unstable; urgency=low

  * New upstream release.
    - 128-spanish-0.rom, 128-spanish-1.rom, if1-2.rom: New files, requested
      by the FBZX maintainer.
    - README, debian/copyright: Update URL to Philip Kendall's ROMs
      collection.
  * Moved to bzr.debian.org; add Vcs-Bzr control field.
  * Policy version 3.8.0:
    - Use Build-Depends rather than Build-Depends-Indep, since the clean
      target uses debhelper.
    - Add a Homepage field.
    - Explain in debian/copyright why this package is not part of Debian
      GNU/Linux.
  * Use debhelper v5; add Depends: ${misc:Depends} (currently empty).
  * Expand debian/copyright to note that embedding the ROMs in hardware is
    not permitted.
  * Explicitly list copyright status in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Wed, 24 Dec 2008 15:04:30 +0000

spectrum-roms (20021001-1) unstable; urgency=low

  * New upstream release, packaged in a more standalone way.
    - Contains Darren Salt's make-roms patch to add the Timex TC2048 ROM
      (closes: #162624).
  * Amend the package description to mention the TC2048.

 -- Colin Watson <cjwatson@debian.org>  Tue,  1 Oct 2002 21:36:33 +0100

spectrum-roms (20020217-2) unstable; urgency=low

  * Policy version 3.5.7:
    - Drop /usr/doc symlink.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Sep 2002 12:05:38 +0100

spectrum-roms (20020217-1) unstable; urgency=low

  * Initial release (closes: #133843).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Feb 2002 02:41:25 +0000

=== debian/control ===
Source: spectrum-roms
Section: non-free/otherosfs
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 10~)
Standards-Version: 3.8.4
Vcs-Git: https://salsa.debian.org/debian/spectrum-roms.git
Vcs-Browser: https://salsa.debian.org/debian/spectrum-roms
Homepage: https://www.chiark.greenend.org.uk/~cjwatson/code/spectrum-roms/

Package: spectrum-roms
Architecture: all
Depends: ${misc:Depends}
Description: ZX Spectrum ROMs
 This package provides images of the read-only memories from various
 versions of the Sinclair Spectrum. Although the canonical source code for
 the ROMs is no longer available, the Incomplete Spectrum ROM Assembly (of
 the 48K code) is here for your reference.
 .
 The current list of ROMs included is:
 .
  * 48.rom - Original 48K ROM
  * 128-0.rom - 128K ROM 0 (128K editor and menu)
  * 128-1.rom - 128K ROM 1 (48K BASIC)
  * 128-spanish-0.rom - Spanish 128K ROM 0 (128K editor & menu)
  * 128-spanish-1.rom - Spanish 128K ROM 1 (48K BASIC)
  * if1-2.rom - Interface 1 v2 ROM
  * plus2-0.rom - +2 ROM 0 (128K editor and menu)
  * plus2-1.rom - +2 ROM 1 (48K BASIC)
  * plus3-40-0.rom - +2A/+3 v4.0 ROM 0 (128K editor)
  * plus3-40-1.rom - +2A/+3 v4.0 ROM 1 (128K syntax checker)
  * plus3-40-2.rom - +2A/+3 v4.0 ROM 2 (+3DOS)
  * plus3-40-3.rom - +2A/+3 v4.0 ROM 3 (48K BASIC)
  * tc2048.rom - Original 48K ROM modified for the Timex TC2048

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/spectrum-roms/usr

=== debian/watch ===
version=3
https://www.chiark.greenend.org.uk/~cjwatson/code/spectrum-roms/spectrum-roms-(.*)\.tar\.gz
